## Uses of Interface
com.ihr.xbrl.dts.HasAdditionalEqualityForReassignation

- Packages that use HasAdditionalEqualityForReassignation
  Package | Description
  --- | ---
  com.ihr.xbrl.formula | Provides the classes to implement a plug in processor for XBRL information and execute XQuery formulas defined in XBRL Linkbases The content of this package is the processor and the required classes to compile and execute formulas written in the XQuery language from the W3C.
  com.ihr.xbrl.mapper.instance |
  com.ihr.xbrl.om | Provides the classes necessary to start processing XBRL information.
  com.ihr.xbrl.om.assertions |
  com.ihr.xbrl.om.autofill |
  com.ihr.xbrl.om.exLinks | Provides the classes necessary to process, read and write XBRL Linkbases and XBRL Extended links.
  com.ihr.xbrl.om.formula | Provides the classes necessary to implement a plug in XBRL processor for validation of docuents and taxonomies according to the XBRL formula specification 1.0 At this stage the package is just created.
  com.ihr.xbrl.om.formula.errors |
  com.ihr.xbrl.om.formula.filters |
  com.ihr.xbrl.om.formula.functions.custom |
  com.ihr.xbrl.om.instance | Provides the classes necessary to process, read and write the content of XBRL Instance documents.
  com.ihr.xbrl.om.renderhints | This is a renderhints processor that process resources in linkbases to define render hints that Reporting Standard tools understands
  com.ihr.xbrl.om.table | This package contains an object model to work with tables as defined in the XBRL Table specification The current implementation is based on table linkbase PWD http://www.xbrl.org/Specification/table-linkbase/PWD-2013-05-17/table-linkbase-PWD-2013-05-17.html The XBRLTableProcessor class
  com.ihr.xbrl.om.table.definition | Classes supporting definition nodes
  com.ihr.xbrl.om.taxonomy | Provides the classes necessary to process, write and read XBRL Taxonomy schemas and content of the XBRL Taxonomy Schemas that requires XBRL processing.

- - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.formula

    Classes in com.ihr.xbrl.formula that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `FlMessage` The Class FlMessage.

  - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.mapper.instance

    Classes in com.ihr.xbrl.mapper.instance that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `MapperContext2` This class represents a context in the mapper.
    `class` | `MapperContext3` This class represents a context in the mapper.
    `class` | `MapperContextBase` The Class MapperContextBase.
    `class` | `MapperPeriod2` This class represents the content of a period that contains tokens in order to facilitate dynamic context content.
    `class` | `MapperPeriod3` This class represents the content of a period that contains tokens in order to facilitate dynamic context content.
    `class` | `MapperPeriodBase` The Class MapperPeriodBase.

  - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.om

    Classes in com.ihr.xbrl.om that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XBRLAttribute` This is an XML Attribute used in relation with an XMLFragment.
    `class` | `XBRLDocument` Contains the Properties of the object 2.2.2 XBRL Document Information Item The [Document URI] property is provided by the parent class XMLDocumentURI The [Document Information Item] property is provided by the root class XMLFragment The [Additional Properties] Properties are provided by classes derived by extension of this class
    `class` | `XBRLSimpleLink` This class represents a simple link XBRL simple links are: schemaRef, linkbaseRef, roleRef, arcroleRef As this class is abstract this object takes care just the details about XLink simple links as, for example, the attributes.
    `class` | `XMLDocumentURI` This class represents an XML Document that exist in a DTS.
    `class` | `XMLFragment` This is the bottom class of almost every object on this API that represents a node in an XML document.

  - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.om.assertions

    Classes in com.ihr.xbrl.om.assertions that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XBRLAssertion` The Class XBRLAssertion.
    `class` | `XBRLConsistencyAssertion` The Class XBRLConsistencyAssertion.
    `class` | `XBRLExistenceAssertion` The Class XBRLExistenceAssertion.
    `class` | `XBRLValueAssertion` The Class XBRLValueAssertion.

  - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.om.autofill

    Classes in com.ihr.xbrl.om.autofill that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AutoFill` The Class AutoFill.

  - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.om.exLinks

    Classes in com.ihr.xbrl.om.exLinks that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `CalculationLinkbase` The Class CalculationLinkbase.
    `class` | `DefinitionLinkbase` The Class DefinitionLinkbase.
    `class` | `FootnoteLinkbase` The Class FootnoteLinkbase.
    `class` | `FormulaLinkbase` The Class FormulaLinkbase.
    `class` | `GenericLinkbase` The Class GenericLinkbase.
    `class` | `LabelLinkbase` The Class LabelLinkbase.
    `class` | `OtherLinkbase` The OtherLinkbase object fits in linkbases that are out of the scope of written specifications but are right because they agree with the In previous versions of the API the Generic Linkbase was created for Generic and Other linkbase types.
    `class` | `PresentationLinkbase` The Class PresentationLinkbase.
    `class` | `ReferenceLinkbase` The Class ReferenceLinkbase.
    `class` | `VersionLinkbase` Deprecated. this is a very old class that is no longer used in the system. Versioning information is not going to be stored in a linkbase anymore
    `class` | `XBRLArc` The Class XBRLArc.
    `class` | `XBRLArcroleRef` The Class XBRLArcroleRef.
    `class` | `XBRLDocumentation` This class represents the 2.2.13 XBRL Documentation Information Item
    `class` | `XBRLExtendedLink` The Class XBRLExtendedLink.
    `class` | `XBRLLabelResource` Label resources are the object model representation of the link:label elements in label Linkbases
    `class` | `XBRLLinkbase` Provides the properties of the XBRL Linkbase information item The [Parent] property is the parent class XBRLDocument An XBRL Linkbase is just the container of documentation and extended links.
    `class` | `XBRLLinkbaseRef` Creates a linkbase ref element that will be serialized in a schema or instance document.
    `class` | `XBRLLocator` This is not part of the XBRL Infoset.
    `class` | `XBRLPointerOfARelationship` This is a XBRL Pointer Information Item Classes are: XBRLResource XBRLLocator.
    `class` | `XBRLRelationship` The Class XBRLRelationship.
    `class` | `XBRLResource` This is the base type for XBRL resources.
    `class` | `XBRLRoleRef` The Class XBRLRoleRef.
    `class` | `XLinkElement` Base class for elements that contains attributes according to the XLink Specification.

  - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.om.formula

    Classes in com.ihr.xbrl.om.formula that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XBRLCustomFunction` The Class XBRLCustomFunction.
    `class` | `XBRLFormula` The Class XBRLFormula.
    `class` | `XBRLFormulaResource` The Class XBRLFormulaResource.
    `class` | `XBRLVariableEqualityDefinition` The Class XBRLVariableEqualityDefinition.
    `class` | `XBRLVariableFact` The Class XBRLVariableFact.
    `class` | `XBRLVariableGeneral` The Class XBRLVariableGeneral.
    `class` | `XBRLVariableParameter` The Class XBRLVariableParameter.
    `class` | `XBRLVariablePrecondition` The Class XBRLVariablePrecondition.
    `class` | `XBRLVariableResource` The Class XBRLVariableResource.
    `class` | `XBRLVariableSetResource` The Class XBRLVariableSetResource.

  - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.om.formula.errors

    Classes in com.ihr.xbrl.om.formula.errors that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XBRLResultMessage` The Class XBRLResultMessage.

  - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.om.formula.filters

    Classes in com.ihr.xbrl.om.formula.filters that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XBRLAncestorFilter` The Class XBRLAncestorFilter.
    `class` | `XBRLAndFilter` The Class XBRLAndFilter.
    `class` | `XBRLAspectCoverFilter` The Class XBRLAspectCoverFilter.
    `class` | `XBRLConceptBalanceFilter` The Class XBRLConceptBalanceFilter.
    `class` | `XBRLConceptCustomAttributeFilter` The Class XBRLConceptCustomAttributeFilter.
    `class` | `XBRLConceptDataTypeFilter` The Class XBRLConceptDataTypeFilter.
    `class` | `XBRLConceptFilterAbstract` The Class XBRLConceptFilterAbstract.
    `class` | `XBRLConceptNameFilter` The Class XBRLConceptNameFilter.
    `class` | `XBRLConceptPeriodTypeFilter` The Class XBRLConceptPeriodTypeFilter.
    `class` | `XBRLConceptRelationFilter` The Class XBRLConceptRelationFilter.
    `class` | `XBRLConceptSubstitutionGroupFilter` The Class XBRLConceptSubstitutionGroupFilter.
    `class` | `XBRLDimensionFilterAbstract` The Class XBRLDimensionFilterAbstract.
    `class` | `XBRLExplicitDimensionFilter` The Class XBRLExplicitDimensionFilter.
    `class` | `XBRLFormulaFilterBase` The Class XBRLFormulaFilterBase.
    `class` | `XBRLGeneralFilter` The Class XBRLGeneralFilter.
    `class` | `XBRLGeneralMeasuresFilter` The Class XBRLGeneralMeasuresFilter.
    `class` | `XBRLIdentifierFilter` The Class XBRLIdentifierFilter.
    `class` | `XBRLLocationFilter` The Class XBRLLocationFilter.
    `class` | `XBRLMatchAbstractFilter` The Class XBRLMatchAbstractFilter.
    `class` | `XBRLMatchConceptFilter` The Class XBRLMatchConceptFilter.
    `class` | `XBRLMatchDimensionFilter` The Class XBRLMatchDimensionFilter.
    `class` | `XBRLMatchEntityIdentifierFilter` The Class XBRLMatchEntityIdentifierFilter.
    `class` | `XBRLMatchLocationFilter` The Class XBRLMatchLocationFilter.
    `class` | `XBRLMatchNonXDTScenarioFilter` The Class XBRLMatchNonXDTScenarioFilter.
    `class` | `XBRLMatchNonXDTSegmentFilter` The Class XBRLMatchNonXDTSegmentFilter.
    `class` | `XBRLMatchPeriodFilter` The Class XBRLMatchPeriodFilter.
    `class` | `XBRLMatchScenarioFilter` The Class XBRLMatchScenarioFilter.
    `class` | `XBRLMatchSegmentFilter` The Class XBRLMatchSegmentFilter.
    `class` | `XBRLMatchUnitFilter` The Class XBRLMatchUnitFilter.
    `class` | `XBRLOrFilter` The Class XBRLOrFilter.
    `class` | `XBRLParentFilter` The Class XBRLParentFilter.
    `class` | `XBRLPeriodEndFilter` The Class XBRLPeriodEndFilter.
    `class` | `XBRLPeriodFilter` The Class XBRLPeriodFilter.
    `class` | `XBRLPeriodFilterAbstract` The Class XBRLPeriodFilterAbstract.
    `class` | `XBRLPeriodForeverFilter` The Class XBRLPeriodForeverFilter.
    `class` | `XBRLPeriodInstantDurationFilter` The Class XBRLPeriodInstantDurationFilter.
    `class` | `XBRLPeriodInstantFilter` The Class XBRLPeriodInstantFilter.
    `class` | `XBRLPeriodStartFilter` The Class XBRLPeriodStartFilter.
    `class` | `XBRLRegExpIdentifierFilter` The Class XBRLRegExpIdentifierFilter.
    `class` | `XBRLRegExpSchemeFilter` The Class XBRLRegExpSchemeFilter.
    `class` | `XBRLRelativeFilter` The Class XBRLRelativeFilter.
    `class` | `XBRLScenarioFilter` The Class XBRLScenarioFilter.
    `class` | `XBRLSegmentFilter` The Class XBRLSegmentFilter.
    `class` | `XBRLSiblingFilter` The Class XBRLSiblingFilter.
    `class` | `XBRLSingleMeasureFilter` The Class XBRLSingleMeasureFilter.
    `class` | `XBRLSpecificIdentifierFilter` The Class XBRLSpecificIdentifierFilter.
    `class` | `XBRLSpecificSchemeFilter` The Class XBRLSpecificSchemeFilter.
    `class` | `XBRLTypedDimensionFilter` The Class XBRLTypedDimensionFilter.
    `class` | `XBRLValueNilFilter` The Class XBRLValueNilFilter.
    `class` | `XBRLValuePrecisionFilter` The Class XBRLValuePrecisionFilter.

  - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.om.formula.functions.custom

    Classes in com.ihr.xbrl.om.formula.functions.custom that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XBRLCustomFunctionImplementation` The Class XBRLCustomFunctionImplementation.

  - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.om.instance

    Classes in com.ihr.xbrl.om.instance that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XBRLContext` This class represents the content of an XBRL Context.
    `class` | `XBRLDimensionsContainer` The Class XBRLDimensionsContainer.
    `class` | `XBRLEntity` The Class XBRLEntity.
    `class` | `XBRLFact` Abstract class to represent a fact item in an instance document or inside a tuple.
    `class` | `XBRLFactItem` This class represents the instantiation of an xbrli:item on an instance document.
    `class` | `XBRLFactNonNumeric` This object represents a non numeric fact value in an instance document.
    `class` | `XBRLFactNumeric` The Class XBRLFactNumeric.
    `class` | `XBRLFactTuple` The Class XBRLFactTuple.
    `class` | `XBRLInstance` Class that encapsulates the content of an XBRL instance document Instance documents can be created via API calls or can be created from the content of an XML file.
    `class` | `XBRLMeasure` The Class XBRLMeasure.
    `class` | `XBRLPeriod` A period information according to the content of the context container in the XBRL 2.1 specification.
    `class` | `XBRLScenario` The Class XBRLScenario.
    `class` | `XBRLSegment` The Class XBRLSegment.
    `class` | `XBRLUnit` The Class XBRLUnit.

  - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.om.renderhints

    Classes in com.ihr.xbrl.om.renderhints that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RenderHints` This is the render hints resource that applies to one XBRLRoleType.
    `class` | `StaticRole` The Class StaticRole.

  - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.om.table

    Classes in com.ihr.xbrl.om.table that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XBRLTableResource` The Class XBRLTableResource.

  - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.om.table.definition

    Classes in com.ihr.xbrl.om.table.definition that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XBRLAspectNode` The Class XBRLAspectNode.
    `class` | `XBRLBreakdown` The Class XBRLBreakdown.
    `class` | `XBRLClosedDefinitionNode` The Class XBRLClosedDefinitionNode.
    `class` | `XBRLConceptRelationshipNode` This is the object model representation of the conceptRelationshipNode defined in the table specification.
    `class` | `XBRLDefinitionNode` The Class XBRLDefinitionNode.
    `class` | `XBRLDimensionRelationshipNode` The Class XBRLDimensionRelationshipNode.
    `class` | `XBRLOpenDefinitionNode` The Class XBRLOpenDefinitionNode.
    `class` | `XBRLRelationshipNode` The Class XBRLRelationshipNode.
    `class` | `XBRLRuleNode` The Class XBRLRuleNode.
    `class` | `XBRLTable` This is a table in the definition model.

  - ### Uses of HasAdditionalEqualityForReassignation in com.ihr.xbrl.om.taxonomy

    Classes in com.ihr.xbrl.om.taxonomy that implement HasAdditionalEqualityForReassignation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XBRLArcroleType` This class represents an arcrole type definition in a DTS.
    `class` | `XBRLImport` The Class XBRLImport.
    `class` | `XBRLInclude` The Class XBRLInclude.
    `class` | `XBRLItem` The Class XBRLItem.
    `class` | `XBRLRoleAndArcroleTypes` The Class XBRLRoleAndArcroleTypes.
    `class` | `XBRLRoleType` Provides the properties of an XBRL Role Type Information Item.
    `class` | `XBRLTaxonomy` Provides the properties of an XBRL Taxonomy Information Item The [Parent] property is the parent class XBRLDocument.
    `class` | `XBRLTuple` The Class XBRLTuple.
    `class` | `XBRLUsedOn` A Used On Information Item.
    `class` | `XMLElementDefinition` Common elements to both Tuples and Items.